# Method: accounts.listlinks

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/listlinks#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/listlinks#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/listlinks#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/listlinks#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/listlinks#body.response_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/listlinks#body.AccountsListLinksResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/listlinks#body.aspect)
- [LinkedAccount](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/listlinks#LinkedAccount)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/listlinks#LinkedAccount.SCHEMA_REPRESENTATION)
- [LinkService](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/listlinks#LinkService)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/listlinks#LinkService.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/listlinks#try-it)

Returns the list of accounts linked to your Merchant Center account.

### HTTP request

`GET https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/accounts/{accountId}/listlinks`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string` The ID of the managing account. If this parameter is not the same as [accountId](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/listlinks#accountId), then this account must be a multi-client account and `accountId` must be the ID of a sub-account of this account. |
| `accountId` | `string` The ID of the account for which to list links. |

### Query parameters

| Parameters ||
|---|---|
| `maxResults` | `integer (https://developers.google.com/discovery/v1/type-format format)` The maximum number of links to return in the response, used for pagination. The minimum allowed value is 5 results per page. If provided value is lower than 5, it will be automatically increased to 5. |
| `pageToken` | `string` The token returned by the previous request. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "nextPageToken": string, "links": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/listlinks#LinkedAccount`) } ], "kind": string } ``` |

| Fields ||
|---|---|
| `nextPageToken` | `string` The token for the retrieval of the next page of links. |
| `links[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/listlinks#LinkedAccount`)`` The list of available links. |
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string "`content#accountsListLinksResponse`". |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## LinkedAccount

| JSON representation |
|---|
| ``` { "linkedAccountId": string, "services": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/listlinks#LinkService`) } ] } ``` |

| Fields ||
|---|---|
| `linkedAccountId` | `string` The ID of the linked account. |
| `services[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/listlinks#LinkService`)`` accounts.list of provided services. |

## LinkService

| JSON representation |
|---|
| ``` { "service": string, "status": string } ``` |

| Fields ||
|---|---|
| `service` | `string` Service provided to or by the linked account. Acceptable values are: - "`shoppingActionsOrderManagement`" - "`shoppingActionsProductManagement`" - "`shoppingAdsProductManagement`" - "`paymentProcessing`" <br /> |
| `status` | `string` Status of the link Acceptable values are: - "`active`" - "`inactive`" - "`pending`" <br /> |